package handlers

import (
	"github.com/gofiber/fiber/v2"
)

// GenerateBarcode godoc
// @Summary Generate barcodes
// @Description Generate barcodes based on the provided data
// @Tags barcodes
// @Param type path string true "Barcode type" Enums(ean13, code128)
// @Param content path string true "Barcode content" MinLength(1)
// @Produce image/png
// @Router /v1/barcodes/{type}/{content} [get]
func (h *DefaultHandler) GenerateBarcode(c *fiber.Ctx) error {
	c.Set(fiber.HeaderContentType, "text/plain")
	return c.Send([]byte("Hello, World!"))
}
